%define name		avifile
%define version		0.6.0
%define snapshot	20011223
%define release		0.%{snapshot}.2mdk
%define lib_name_orig	libavifile
%define major_version	0.6
%define lib_name	%{lib_name_orig}%{major_version}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	AVI files read/write library
Icon:		video_32x32.xpm
Source:		%{name}-%{version}-%{snapshot}.tar.bz2
URL:		http://avifile.sourceforge.net
License:	GPL
Group:		System/Libraries
Source1:	aviplay_16x16.png
Source2:	aviplay_32x32.png
Source3:	aviplay_48x48.png
BuildRequires:	libqt2-devel >= 2.1.0 libSDL1.2-devel
BuildRequires:	libalsa1-devel libesound0-devel
BuildRequires:	libogg0-devel libvorbis0-devel
BuildRequires:	libmad0-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)Compression is performed with various plugins (FFMpeg,vorbis,...)
For additional plugins packages, you can try Penguin Liberation Front
site at http://lis.snv.jussieu.fr/~rousse/linux/plf

%package player
Summary:	Video player for AVI/ASF/WMF files
Group:		Video
Requires:	%{lib_name} = %{version}-%{release}

%description player
Player for various AVI, ASF, WFM (with streaming support) files.

%package samples
Summary:	Sample programs using the avifile library
Group:		Video
Requires:	%{lib_name} = %{version}-%{release}

%description samples
Sample programs using the avifile library Qt-based AVI utilities with
few other useful supporting tools for TV capturing, AVI recompression,
benchmarking, joining AVI files.
These programs have more bugs as they are not as extensively developed 
as player.

%package -n %{lib_name}
Summary:	AVI files read/write library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)Compression is performed with various plugins (FFMpeg,vorbis,...)
For additional plugins packages, you can try Penguin Liberation Front
site at http://lis.snv.jussieu.fr/~rousse/linux/plf

%package -n %{lib_name}-devel
Summary:	Development header files for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-devel

%description -n %{lib_name}-devel
This package contains the symlinks, headers and object files needed to compile
and link programs which use aviplay library.

%prep
%setup -q -n %{name}-%{version}.%{snapshot}

%build

# use the nifty script...
./autogen.sh

%configure \
    --enable-release \
    --enable-lame-bin \
    --disable-win32
%make 

%install
make DESTDIR=%{buildroot} install

# doc cleanup
rm -f doc/Makefile*

# install player man page
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 debian/aviplay.1 %{buildroot}%{_mandir}/man1

# icons
install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/aviplay.png 
install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/avicap.png 
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/aviplay.png 
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/avicap.png 
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/aviplay.png
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/avicap.png 

# menu entries
mkdir -p %{buildroot}%{_libdir}/menu
cat >%{buildroot}%{_menudir}/%{name}-player <<EOF
?package(%{name}-player): \
	command="%{_bindir}/aviplay"\\
        needs="X11" \
	section="Multimedia/Video"\\
        icon="aviplay.png" \\
        title="AviPlay" \\
        longtitle="Video player for AVI/ASF/WMF files"
EOF
cat >%{buildroot}%{_menudir}/%{name}-samples <<EOF
?package(%{name}-samples): \
	command="%{_bindir}/avirecompress"\\
        needs="X11" \\
	section="Multimedia/Video"\\
        icon="avicap.png" \\
        title="AviRecompress" \\
        longtitle="Simple editor and recompressor for AVI files"
?package(%{name}-samples): \
	command="%{_bindir}/avicap"\\
        needs="X11" \
	section="Multimedia/Video"\\
        icon="avicap.png" \\
        title="AviCap" \\
        longtitle="Video grabber for AVI files"
EOF

%clean
rm -rf %{buildroot}

%post player
%{update_menus}

%postun player
%{clean_menus}

%post samples
%{update_menus}

%postun samples
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files player
%defattr(-,root,root)
%doc ChangeLog COPYING README doc/*
%{_bindir}/aviplay
%{_mandir}/man1/aviplay.1.*
%{_datadir}/%{name}%{major_version}
%{_menudir}/%{name}-player
%{_iconsdir}/aviplay.png
%{_miconsdir}/aviplay.png
%{_liconsdir}/aviplay.png

%files samples
%defattr(-,root,root)
%doc samples/README
%{_bindir}/avibench
%{_bindir}/avicap
%{_bindir}/avicat
%{_bindir}/avimake
%{_bindir}/avirecompress
%{_bindir}/avitype
%attr(4755,root,root) %{_bindir}/kv4lsetup
%{_menudir}/%{name}-samples
%{_iconsdir}/avicap.png
%{_miconsdir}/avicap.png
%{_liconsdir}/avicap.png

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}%{major_version}
%{_libdir}/%{name}%{major_version}/libac3pass.*
%{_libdir}/%{name}%{major_version}/libaudiodec.*
%{_libdir}/%{name}%{major_version}/libffmpeg.*
%{_libdir}/%{name}%{major_version}/libmad_audiodec.*
%{_libdir}/%{name}%{major_version}/libmjpeg.*
%{_libdir}/%{name}%{major_version}/libmpeg_audiodec.*
%{_libdir}/%{name}%{major_version}/libvorbis_audio.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_bindir}/avifile-config
%{_bindir}/mmxnow-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.0-0.20011223.2mdk
- xpm -> png icons
- since all icons are the same, share avicap ones with AviRecompress
- fix sources permissions

* Sun Dec 23 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.0-0.20011223.1mdk
- updated CVS snapshot

* Thu Dec 13 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011207.2mdk
- updated description for additional plugins
- removed useless files from doc

* Tue Dec 11 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011207.1mdk
- updated CVS snapshot
- updated descriptions and summaries
- updated menus
- new packaging policy: main package in contribs, plugins in PLF

* Wed Dec 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011205.1mdk
- updated CVS snapshot

* Mon Dec 03 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011130.1mdk
- updated CVS snapshot
- buildrequires libogg0-devel, libvorbis0-devel and libmad0-devel (Gtz Waschk <waschk@linux-mandrake.com>)
- %{lib_name} requires win32-codecs

* Thu Nov 29 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011127.2mdk
- requires win32-codecs and opendivx
- updated description
- added missing changelog entry
- harmonized buildrequires

* Tue Nov 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011127.1mdk
- updated CVS snapshot
- stricter requires
- removed static libs

* Mon Nov 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011123.1mdk
- updated CVS snapshot

* Fri Nov 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011116.1mdk
- updated CVS snapshot

* Mon Oct 29 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011026.1mdk
- updated CVS snapshot
- dropped patch
- used %%configure macro
- moved %{_libdir}/*.la files in devel package (Gtz Waschk <waschk@linux-mandrake.com>)

* Tue Oct 23 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-0.20011015.2mdk
- shut up, tar
- patched libmp3lamebin to load libmp3lame.so.0 instead of libmp3lame.so

* Mon Oct 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011015.1mdk
- updated CVS snapshot
- build against new libpng

* Fri Oct 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011003.2mdk
- used correct build optimisations
- use path for configure script

* Wed Oct 03 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20011003.1mdk
- updated CVS snapshot
- updated description
- corrected version
- used debian package menus
- player man page

* Thu Aug 02 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20010802.1mdk
- updated CVS snapshot
- added missing .la files
- reverted win32 DLL location to standard /usr/lib/win32
- updated description accordingly
- player and samples requires library

* Tue Jul 31 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.6.0-0.20010731.1mdk
- updated to 0.6.0 CVS
- new subpackage scheme
- spec cleanup
- s/Copyright/License
- buildrequire alsa-lib-devel and libesound-devel
- truncated descriptions to 72 columns
- updated URL as divx.euro.ru is down

* Sat May 19 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.5-4mdk
- removed explicit requires tags
- unversionned SDL-devel buildrequires tag
- rebuild against new SDL libraries

* Tue May 01 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.5-3mdk
- fixed compilation for latest gcc

* Fri Apr 13 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.5-2mdk
- added buildrequires libqt2-devel and libSDL1.1-devel
- removed optimisation to fix compilation failure

* Sun Mar 18 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.5-1mdk
- updated to 0.53.5

* Wed Jan 24 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-6mdk
- corrected bad prefix in avifile-config

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-5mdk
- added correct optimization flags
- added samples in a distinct package
- removed CVS files from doc
- changed license to GPL

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-4mdk
- changed player package name (again !) to avifile

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-3mdk
- changed library package name to libavifile0

* Mon Jan 22 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-2mdk
- changed player package name to avifile-player
- changed library package name to libavifile

* Sun Jan 21 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.53.3-1mdk
- updated to 0.53.3
- included doc
- included ressource
- corrected silly submenus issue
- removed explicit path to qt includes

* Sat Dec 16 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.51-1mdk
- first mandrake release


